Bug 1000150 - [abrt] libreoffice-core-4.1.0.4-6.fc19: _XIOError calling atexit handlers wreaks havoc in unrelated ICEConnectionWorker thread
Summary: [abrt] libreoffice-core-4.1.0.4-6.fc19: _XIOError calling atexit handlers wre...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice   
(Show other bugs)
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4d394a7ab3110ea6d496a4d3aca...
Keywords:
: 1000680 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-22 20:04 UTC by Nivag
Modified: 2013-08-27 23:32 UTC (History)
8 users (show)

Fixed In Version: libreoffice-4.1.1.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 23:32:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (153.92 KB, text/plain)
2013-08-22 20:05 UTC, Nivag
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-22 20:05 UTC, Nivag
no flags Details
File: core_backtrace (18.55 KB, text/plain)
2013-08-22 20:05 UTC, Nivag
no flags Details
File: dso_list (21.53 KB, text/plain)
2013-08-22 20:05 UTC, Nivag
no flags Details
File: environ (2.53 KB, text/plain)
2013-08-22 20:05 UTC, Nivag
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-22 20:05 UTC, Nivag
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-22 20:05 UTC, Nivag
no flags Details
File: maps (104.30 KB, text/plain)
2013-08-22 20:05 UTC, Nivag
no flags Details
File: open_fds (203 bytes, text/plain)
2013-08-22 20:05 UTC, Nivag
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2013-08-22 20:05 UTC, Nivag
no flags Details
File: var_log_messages (336 bytes, text/plain)
2013-08-22 20:05 UTC, Nivag
no flags Details

Description Nivag 2013-08-22 20:04:56 UTC
Description of problem:
probably a colateral damage due to a massive atack of x-caja-desktops!  

Version-Release number of selected component:
libreoffice-core-4.1.0.4-6.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: __memcpy_ssse3_back
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 __memcpy_ssse3_back at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:2171
 #1 memcpy at /usr/include/bits/string3.h:51
 #2 ICEConnectionWorker at /usr/src/debug/libreoffice-4.1.0.4/vcl/unx/generic/app/sm.cxx:631
 #3 osl_thread_start_Impl at /usr/src/debug/libreoffice-4.1.0.4/sal/osl/unx/thread.c:251
 #5 capset at ../sysdeps/unix/syscall-template.S:83

Comment 1 Nivag 2013-08-22 20:05:03 UTC
Created attachment 789331 [details]
File: backtrace

Comment 2 Nivag 2013-08-22 20:05:07 UTC
Created attachment 789332 [details]
File: cgroup

Comment 3 Nivag 2013-08-22 20:05:11 UTC
Created attachment 789333 [details]
File: core_backtrace

Comment 4 Nivag 2013-08-22 20:05:16 UTC
Created attachment 789334 [details]
File: dso_list

Comment 5 Nivag 2013-08-22 20:05:20 UTC
Created attachment 789335 [details]
File: environ

Comment 6 Nivag 2013-08-22 20:05:23 UTC
Created attachment 789336 [details]
File: exploitable

Comment 7 Nivag 2013-08-22 20:05:26 UTC
Created attachment 789337 [details]
File: limits

Comment 8 Nivag 2013-08-22 20:05:31 UTC
Created attachment 789338 [details]
File: maps

Comment 9 Nivag 2013-08-22 20:05:35 UTC
Created attachment 789339 [details]
File: open_fds

Comment 10 Nivag 2013-08-22 20:05:38 UTC
Created attachment 789340 [details]
File: proc_pid_status

Comment 11 Nivag 2013-08-22 20:05:41 UTC
Created attachment 789341 [details]
File: var_log_messages

Comment 12 Stephan Bergmann 2013-08-23 06:52:26 UTC
(In reply to Nivag from comment #0)
> probably a colateral damage due to a massive atack of x-caja-desktops!

Yes, one thread getting a fatal XIOError that leads to exit and the atexit handlers being called, while another thread happens to use stuff that is cleaned up by the atexit handlers.

I think it would make sense to install an XIOError handler that itself calls _exit or abort, to at least prevent this kind of "collateral" backtrace where the crash happens at another place than where the real problem is.

Comment 13 Stephan Bergmann 2013-08-23 13:19:16 UTC
(In reply to Stephan Bergmann from comment #12)
> I think it would make sense to install an XIOError handler that itself calls
> _exit or abort, to at least prevent this kind of "collateral" backtrace
> where the crash happens at another place than where the real problem is.

That will land in libreoffice-4.1.1.2-2.fc19.

Comment 14 Fedora Update System 2013-08-26 07:12:13 UTC
libreoffice-4.1.1.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.1.2-2.fc19

Comment 15 Stephan Bergmann 2013-08-26 07:31:56 UTC
*** Bug 1000680 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2013-08-26 22:25:24 UTC
Package libreoffice-4.1.1.2-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.1.2-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15304/libreoffice-4.1.1.2-2.fc19
then log in and leave karma (feedback).

Comment 17 Nivag 2013-08-27 02:26:13 UTC
# yum update --enablerepo=updates-testing libreoffice-4.1.1.2-2.fc19
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
No Match for argument: libreoffice-4.1.1.2-2.fc19
No package libreoffice-4.1.1.2-2.fc19 available.
No packages marked for update

Comment 18 Stephan Bergmann 2013-08-27 10:45:09 UTC
(In reply to Nivag from comment #17)
> # yum update --enablerepo=updates-testing libreoffice-4.1.1.2-2.fc19
> Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
> No Match for argument: libreoffice-4.1.1.2-2.fc19
> No package libreoffice-4.1.1.2-2.fc19 available.
> No packages marked for update

please note the "should be available at your local mirror within two days" (it did work fine for me right now, though)

Comment 19 Nivag 2013-08-27 11:11:08 UTC
# yum update --enablerepo=updates-testing libreoffice-4.1.1.2-2.fc19
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Package(s) libreoffice-4.1.1.2-2.fc19 available, but not installed.
No packages marked for update
# 

if I try to 'install' rather than 'update', it lists umpteen packages to install/upgrade, but no indication that it will remove the existing 4.1.0 packages - I have 4.1.0.4-6.fc19 currently installed.

Comment 20 Fedora Update System 2013-08-27 23:32:43 UTC
libreoffice-4.1.1.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.